Subject: Re: [MOBILE-IP] IPv6 Mobility Last Call Question

From: Thomas Eklund <[email-masked]>
Date: Tue, 9 May 2000 13:31:32 +0200

Hi Alessio,
The problem I see with that is that it is difficult to set up packet filters
(ingress filters, ACL or something similar) if the source address prefix is
not topologically correct...

/Thomas

> About location privacy: even if we don't send binding updates,
> and even if we don't trust the CN, the CN ill kno enough info
> from the link prefix included in the COA.
>
> So, correlating application layer info with the prefix the CN can know
> the link we are at.
>
> This even if we have the non prefix info randomly change as
> we move from
> link to link.
>
> Alessio
>

---

From: "[email-masked]" <[email-masked]>
Date: Tue, 9 May 2000 07:23:51 -0700

That really depends upon where the filters are implemented. In a dial-up
network, it makes more sense to distribute the processing, and implement the
filters on the Network Access Server (read: PPP server), and leave the egress
routers handle routing instead.

The above still conforms to the recommendation to filter on source addresses,
and does not break Mobile IP.

PatC